### Method

# Gdk Drop read_async

#### Declaration [src]

    void
    gdk_drop_read_async (
      GdkDrop* self,
      const char** mime_types,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously read the dropped data from a `GdkDrop` in a format that complies with one of the mime types.

#### Parameters

`mime_types` | An array of `utf8`
| pointer to an array of mime types.
| The data is owned by the caller of the function.
`io_priority` | `int`
| The I/O priority for the read operation.
`cancellable` | `GCancellable*`
| Optional `GCancellable` object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the request is satisfied.
`user_data` | `gpointer`
| The data to pass to `callback`.